## postgresql-9.6 9.6.24

=== contrib/btree_gist/Makefile ===
# contrib/btree_gist/Makefile

MODULE_big = btree_gist

OBJS =  btree_gist.o btree_utils_num.o btree_utils_var.o btree_int2.o \
        btree_int4.o btree_int8.o btree_float4.o btree_float8.o btree_cash.o \
        btree_oid.o btree_ts.o btree_time.o btree_date.o btree_interval.o \
        btree_macaddr.o btree_inet.o btree_text.o btree_bytea.o btree_bit.o \
        btree_numeric.o $(WIN32RES)

EXTENSION = btree_gist
DATA = btree_gist--1.2.sql btree_gist--1.1--1.2.sql btree_gist--1.0--1.1.sql \
	btree_gist--unpackaged--1.0.sql
PGFILEDESC = "btree_gist - B-tree equivalent GiST operator classes"

REGRESS = init int2 int4 int8 float4 float8 cash oid timestamp timestamptz \
        time timetz date interval macaddr inet cidr text varchar char bytea \
        bit varbit numeric not_equal

SHLIB_LINK += $(filter -lm, $(LIBS))

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/btree_gist
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/pg_buffercache/Makefile ===
# contrib/pg_buffercache/Makefile

MODULE_big = pg_buffercache
OBJS = pg_buffercache_pages.o $(WIN32RES)

EXTENSION = pg_buffercache
DATA = pg_buffercache--1.2.sql pg_buffercache--1.1--1.2.sql \
	pg_buffercache--1.0--1.1.sql pg_buffercache--unpackaged--1.0.sql
PGFILEDESC = "pg_buffercache - monitoring of shared buffer cache in real-time"

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_buffercache
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== src/backend/commands/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for backend/commands
#
# IDENTIFICATION
#    src/backend/commands/Makefile
#
#-------------------------------------------------------------------------

subdir = src/backend/commands
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS = amcmds.o aggregatecmds.o alter.o analyze.o async.o cluster.o comment.o \
	collationcmds.o constraint.o conversioncmds.o copy.o createas.o \
	dbcommands.o define.o discard.o dropcmds.o \
	event_trigger.o explain.o extension.o foreigncmds.o functioncmds.o \
	indexcmds.o lockcmds.o matview.o operatorcmds.o opclasscmds.o \
	policy.o portalcmds.o prepare.o proclang.o \
	schemacmds.o seclabel.o sequence.o tablecmds.o tablespace.o trigger.o \
	tsearchcmds.o typecmds.o user.o vacuum.o vacuumlazy.o \
	variable.o view.o

include $(top_srcdir)/src/backend/common.mk

=== src/backend/storage/Makefile ===
#
# Makefile for the storage manager subsystem
#
# src/backend/storage/Makefile
#

subdir = src/backend/storage
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

SUBDIRS     = buffer file freespace ipc large_object lmgr page smgr

include $(top_srcdir)/src/backend/common.mk

=== src/bin/pg_ctl/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin/pg_ctl
#
# Portions Copyright (c) 1996-2016, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/bin/pg_ctl/Makefile
#
#-------------------------------------------------------------------------

PGFILEDESC = "pg_ctl - starts/stops/restarts the PostgreSQL server"
PGAPPICON=win32

subdir = src/bin/pg_ctl
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

override CPPFLAGS := -I$(libpq_srcdir) $(CPPFLAGS)
LDFLAGS_INTERNAL += $(libpq_pgport)

OBJS=	pg_ctl.o $(WIN32RES)

all: pg_ctl

pg_ctl: $(OBJS) | submake-libpq submake-libpgport
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@$(X)

install: all installdirs
	$(INSTALL_PROGRAM) pg_ctl$(X) '$(DESTDIR)$(bindir)/pg_ctl$(X)'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(bindir)'

uninstall:
	rm -f '$(DESTDIR)$(bindir)/pg_ctl$(X)'

clean distclean maintainer-clean:
	rm -f pg_ctl$(X) $(OBJS)
	rm -rf tmp_check

check:
	$(prove_check)

installcheck:
	$(prove_installcheck)

=== src/pl/tcl/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for the pl/tcl procedural language
#
# src/pl/tcl/Makefile
#
#-------------------------------------------------------------------------

subdir = src/pl/tcl
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global


override CPPFLAGS := -I. -I$(srcdir) $(TCL_INCLUDE_SPEC) $(CPPFLAGS)

# On Windows, we don't link directly with the Tcl library; see below
ifneq ($(PORTNAME), win32)
SHLIB_LINK = $(TCL_LIB_SPEC) $(TCL_LIBS) -lc
endif

PGFILEDESC = "PL/Tcl - procedural language"

NAME = pltcl

OBJS = pltcl.o $(WIN32RES)

DATA = pltcl.control pltcl--1.0.sql pltcl--unpackaged--1.0.sql \
       pltclu.control pltclu--1.0.sql pltclu--unpackaged--1.0.sql

REGRESS_OPTS = --dbname=$(PL_TESTDB) --load-extension=pltcl
REGRESS = pltcl_setup pltcl_queries pltcl_unicode

# Tcl on win32 ships with import libraries only for Microsoft Visual C++,
# which are not compatible with mingw gcc. Therefore we need to build a
# new import library to link with.
ifeq ($(PORTNAME), win32)

tclwithver = $(subst -l,,$(filter -l%, $(TCL_LIB_SPEC)))
TCLDLL = $(dir $(TCLSH))/$(tclwithver).dll

OBJS += lib$(tclwithver).a

lib$(tclwithver).a: $(tclwithver).def
	dlltool --dllname $(tclwithver).dll --def $(tclwithver).def --output-lib lib$(tclwithver).a

$(tclwithver).def: $(TCLDLL)
	pexports $^ > $@

endif # win32


include $(top_srcdir)/src/Makefile.shlib


all: all-lib
	$(MAKE) -C modules $@

# Force this dependency to be known even without dependency info built:
pltcl.o: pltclerrcodes.h

# generate pltclerrcodes.h from src/backend/utils/errcodes.txt
pltclerrcodes.h: $(top_srcdir)/src/backend/utils/errcodes.txt generate-pltclerrcodes.pl
	$(PERL) $(srcdir)/generate-pltclerrcodes.pl $< > $@

distprep: pltclerrcodes.h

install: all install-lib install-data
	$(MAKE) -C modules $@

installdirs: installdirs-lib
	$(MKDIR_P) '$(DESTDIR)$(datadir)/extension'
	$(MAKE) -C modules $@

uninstall: uninstall-lib uninstall-data
	$(MAKE) -C modules $@

install-data: installdirs
	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(DATA)) '$(DESTDIR)$(datadir)/extension/'

uninstall-data:
	rm -f $(addprefix '$(DESTDIR)$(datadir)/extension'/, $(notdir $(DATA)))

.PHONY: install-data uninstall-data


check: submake
	$(pg_regress_check) $(REGRESS_OPTS) $(REGRESS)

installcheck: submake
	$(pg_regress_installcheck) $(REGRESS_OPTS) $(REGRESS)

.PHONY: submake
submake:
	$(MAKE) -C $(top_builddir)/src/test/regress pg_regress$(X)

# pltclerrcodes.h is in the distribution tarball, so don't clean it here.
clean distclean: clean-lib
	rm -f $(OBJS)
	rm -rf $(pg_regress_clean_files)
ifeq ($(PORTNAME), win32)
	rm -f $(tclwithver).def
endif
	$(MAKE) -C modules $@

maintainer-clean: distclean
	rm -f pltclerrcodes.h

=== src/test/isolation/Makefile ===
#
# Makefile for isolation tests
#

PGFILEDESC = "pg_isolation_regress/isolationtester - multi-client test driver"
PGAPPICON = win32

subdir = src/test/isolation
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

override CPPFLAGS := -I. -I$(srcdir) -I$(libpq_srcdir) \
	-I$(srcdir)/../regress $(CPPFLAGS)

OBJS =  specparse.o isolationtester.o $(WIN32RES)

all: isolationtester$(X) pg_isolation_regress$(X)

submake-regress:
	$(MAKE) -C $(top_builddir)/src/test/regress pg_regress.o

pg_regress.o: | submake-regress
	rm -f $@ && $(LN_S) $(top_builddir)/src/test/regress/pg_regress.o .

pg_isolation_regress$(X): isolation_main.o pg_regress.o $(WIN32RES)
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@

isolationtester$(X): $(OBJS) | submake-libpq submake-libpgport
	$(CC) $(CFLAGS) $^ $(libpq_pgport) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@

distprep: specparse.c specscanner.c

# specscanner is compiled as part of specparse
specparse.o: specscanner.c

# specparse.c and specscanner.c are in the distribution tarball,
# so do not clean them here
clean distclean:
	rm -f isolationtester$(X) pg_isolation_regress$(X) $(OBJS) isolation_main.o
	rm -f pg_regress.o
	rm -rf $(pg_regress_clean_files)

maintainer-clean: distclean
	rm -f specparse.c specscanner.c

installcheck: all
	./pg_isolation_regress --bindir='$(bindir)' $(EXTRA_REGRESS_OPTS) --inputdir=$(srcdir) --schedule=$(srcdir)/isolation_schedule

check: all
	$(with_temp_install) ./pg_isolation_regress --temp-instance=./tmp_check $(TEMP_CONF) --inputdir=$(srcdir) --bindir= $(EXTRA_REGRESS_OPTS) --schedule=$(srcdir)/isolation_schedule

# Non-default tests.  It only makes sense to run these if set up to use
# prepared transactions, via TEMP_CONFIG for the check case, or via the
# postgresql.conf for the installcheck case.
installcheck-prepared-txns: all temp-install
	./pg_isolation_regress --bindir='$(bindir)' $(EXTRA_REGRESS_OPTS) --inputdir=$(srcdir) --schedule=$(srcdir)/isolation_schedule prepared-transactions prepared-transactions-cic

check-prepared-txns: all temp-install
	$(with_temp_install) ./pg_isolation_regress --temp-instance=./tmp_check $(TEMP_CONF) --inputdir=$(srcdir) --bindir= $(EXTRA_REGRESS_OPTS) --schedule=$(srcdir)/isolation_schedule prepared-transactions prepared-transactions-cic

=== src/test/recovery/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/test/recovery
#
# Portions Copyright (c) 1996-2016, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/test/recovery/Makefile
#
#-------------------------------------------------------------------------

subdir = src/test/recovery
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

# required for 017_shm.pl
REGRESS_SHLIB=$(abs_top_builddir)/src/test/regress/regress$(DLSUFFIX)
export REGRESS_SHLIB

check:
	$(prove_check)

clean distclean maintainer-clean:
	rm -rf tmp_check

=== src/test/thread/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for tools/thread
#
# Copyright (c) 2003-2016, PostgreSQL Global Development Group
#
# src/test/thread/Makefile
#
#-------------------------------------------------------------------------

subdir = src/tools/thread
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

override CFLAGS += $(PTHREAD_CFLAGS)

all: thread_test

thread_test: thread_test.o
# no need for $LIBS, might not be compiled yet
	$(CC) $(CFLAGS) $(LDFLAGS) $(LDFLAGS_EX) $^ $(PTHREAD_LIBS) -o $@

clean distclean maintainer-clean:
	rm -f thread_test$(X) thread_test.o

=== src/backend/storage/ipc/Makefile ===
#
# Makefile for storage/ipc
#
# src/backend/storage/ipc/Makefile
#

subdir = src/backend/storage/ipc
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = dsm_impl.o dsm.o ipc.o ipci.o latch.o pmsignal.o procarray.o \
	procsignal.o  shmem.o shmqueue.o shm_mq.o shm_toc.o sinval.o \
	sinvaladt.o standby.o

include $(top_srcdir)/src/backend/common.mk

=== src/interfaces/ecpg/pgtypeslib/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for ecpg pgtypes library
#
# Portions Copyright (c) 1996-2016, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/interfaces/ecpg/pgtypeslib/Makefile
#
#-------------------------------------------------------------------------

subdir = src/interfaces/ecpg/pgtypeslib
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

PGFILEDESC = "pgtypes - library for data type mapping"
NAME= pgtypes
SO_MAJOR_VERSION= 3
SO_MINOR_VERSION= 7

override CPPFLAGS := -I../include -I$(top_srcdir)/src/interfaces/ecpg/include \
	-DFRONTEND $(CPPFLAGS)
override CFLAGS += $(PTHREAD_CFLAGS)

# Need to recompile any libpgport object files
LIBS := $(filter-out -lpgport, $(LIBS))

SHLIB_LINK += $(filter -lm, $(LIBS))

SHLIB_EXPORTS = exports.txt

OBJS= numeric.o datetime.o common.o dt_common.o timestamp.o interval.o \
	pgstrcasecmp.o \
	$(filter rint.o snprintf.o, $(LIBOBJS)) $(WIN32RES)

all: all-lib

# Shared library stuff
include $(top_srcdir)/src/Makefile.shlib

# We use some port modules verbatim, but since we need to
# compile with appropriate options to build a shared lib, we can't
# necessarily use the same object files as the backend uses. Instead,
# symlink the source files in here and build our own object file.

pgstrcasecmp.c rint.c snprintf.c: % : $(top_srcdir)/src/port/%
	rm -f $@ && $(LN_S) $< .

install: all installdirs install-lib

installdirs: installdirs-lib

uninstall: uninstall-lib

clean distclean: clean-lib
	rm -f $(OBJS) pgstrcasecmp.c rint.c snprintf.c

maintainer-clean: distclean maintainer-clean-lib

=== src/interfaces/ecpg/preproc/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/interfaces/ecpg/preproc
#
# Copyright (c) 1998-2016, PostgreSQL Global Development Group
#
# src/interfaces/ecpg/preproc/Makefile
#
#-------------------------------------------------------------------------

PGFILEDESC = "ecpg - embedded SQL precompiler for C"
PGAPPICON=win32

subdir = src/interfaces/ecpg/preproc
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

MAJOR_VERSION= 4
MINOR_VERSION= 12
PATCHLEVEL=0

override CPPFLAGS := -I../include -I$(top_srcdir)/src/interfaces/ecpg/include \
	-I. -I$(srcdir) -DMAJOR_VERSION=$(MAJOR_VERSION) \
	-DMINOR_VERSION=$(MINOR_VERSION) -DPATCHLEVEL=$(PATCHLEVEL) \
	 $(CPPFLAGS)

override CFLAGS += $(PTHREAD_CFLAGS) -DECPG_COMPILE

OBJS=	preproc.o pgc.o type.o ecpg.o output.o parser.o \
	keywords.o c_keywords.o ecpg_keywords.o ../ecpglib/typename.o descriptor.o variable.o \
	$(WIN32RES)

# Suppress parallel build to avoid a bug in GNU make 3.82
# (see comments in ../Makefile)
ifeq ($(MAKE_VERSION),3.82)
.NOTPARALLEL:
endif

all: ecpg

ecpg: $(OBJS) | submake-libpgport
	$(CC) $(CFLAGS) $(LDFLAGS) $(LDFLAGS_EX) $^ $(LIBS) $(PTHREAD_LIBS) -o $@$(X)

../ecpglib/typename.o: ../ecpglib/typename.c
	$(MAKE) -C $(dir $@) $(notdir $@)

# See notes in src/backend/parser/Makefile about the following two rules
preproc.h: preproc.c
	touch $@

preproc.c: BISONFLAGS += -d

preproc.y: ../../../backend/parser/gram.y parse.pl ecpg.addons ecpg.header ecpg.tokens ecpg.trailer ecpg.type
	$(PERL) $(srcdir)/parse.pl $(srcdir) < $< > $@
	$(PERL) $(srcdir)/check_rules.pl $(srcdir) $<

ecpg_keywords.o c_keywords.o keywords.o preproc.o pgc.o parser.o: preproc.h

distprep: preproc.y preproc.c preproc.h pgc.c

install: all installdirs
	$(INSTALL_PROGRAM) ecpg$(X) '$(DESTDIR)$(bindir)'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(bindir)'

uninstall:
	rm -f '$(DESTDIR)$(bindir)/ecpg$(X)'

clean distclean:
	rm -f *.o ecpg$(X)
# garbage from development
	@rm -f core a.out

# `make distclean' must not remove preproc.y, preproc.c, preproc.h, or pgc.c
# since we want to ship those files in the distribution for people with
# inadequate tools.  Instead, `make maintainer-clean' will remove them.
maintainer-clean: distclean
	rm -f preproc.y preproc.c preproc.h pgc.c

=== debian/changelog ===
postgresql-9.6 (9.6.24-10.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 9.6.
    + Disable plpython3 package, incompatible with Python 3.12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jan 2025 21:54:01 +0100

postgresql-9.6 (9.6.24-10) unstable; urgency=medium

  * Cherry-pick tzdata 2025a fix from upstream.

 -- Christoph Berg <myon@debian.org>  Mon, 20 Jan 2025 21:54:01 +0100

postgresql-9.6 (9.6.24-9) unstable; urgency=medium

  * Run regression tests with TZ America/Los_Angeles.
  * Catch plperl output variation with perl 5.40 on unstable.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2024 18:08:32 +0100

postgresql-9.6 (9.6.24-8) unstable; urgency=medium

  * B-D on python3-setuptools, we need distutils.
  * Cherry-pick 400928b83 from master to fix xml build.

 -- Christoph Berg <myon@debian.org>  Sun, 28 Jul 2024 17:20:56 +0000

postgresql-9.6 (9.6.24-7) unstable; urgency=medium

  [ Michael Banck ]
  * Backport fix for OpenSSL-3.2 from 12+.

  [ Christoph Berg ]
  * Fix doc install when postgresql-client-common is not present.

 -- Christoph Berg <myon@debian.org>  Fri, 24 May 2024 21:41:37 +0200

postgresql-9.6 (9.6.24-6) unstable; urgency=medium

  * Add Build-Profile nopython.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Apr 2024 15:28:43 +0000

postgresql-9.6 (9.6.24-5) unstable; urgency=medium

  * Fix update-alternatives when doc package is installed stand-alone.
  * Test-Depend on tzdata-legacy | tzdata (<< 2023c-8).

 -- Christoph Berg <myon@debian.org>  Thu, 10 Aug 2023 22:24:40 +0200

postgresql-9.6 (9.6.24-4) unstable; urgency=medium

  * Fix plpython3 for Python 3.11 (upstream 4339e10f).

 -- Christoph Berg <myon@debian.org>  Mon, 20 Feb 2023 17:20:14 +0100

postgresql-9.6 (9.6.24-3) unstable; urgency=medium

  * Fix pl/perl test case so it will still work under Perl 5.36.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Nov 2022 15:23:48 +0100

=== debian/control ===
Source: postgresql-9.6
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends:
 bison,
 debhelper-compat (= 13),
 dh-exec (>= 0.13~),
 docbook,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 krb5-multidev,
 libedit-dev,
 libipc-run-perl,
 libldap2-dev,
 libpam0g-dev | libpam-dev,
 libperl-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libsystemd-dev [linux-any],
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 openjade,
 opensp,
 perl (>= 5.8),
#py2# python-dev <!nopython>,
 python3-dev <!nopython>,
 python3-setuptools <!nopython>,
 systemtap-sdt-dev,
 tcl-dev,
 tzdata <!nocheck>,
 tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
 uuid-dev,
 xsltproc,
 zlib1g-dev | libz-dev
Homepage: http://www.postgresql.org/
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql
Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 9.6

Package: libpq-dev
Architecture: any
Section: 9.6/libdevel
Depends:
 libpq5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: postgresql-doc-9.6
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: 9.6/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Architecture: any
Section: 9.6/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: 9.6/libdevel
Depends:
 libecpg-compat3 (= ${binary:Version}),
 libecpg6 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version}),
 libpq-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Architecture: any
Section: 9.6/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Architecture: any
Section: 9.6/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: shared library libpgtypes for PostgreSQL 9.6
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-9.6
Architecture: any
Depends:
 locales | locales-all,
 postgresql-client-9.6,
 postgresql-common (>= 171~),
 ssl-cert,
 tzdata,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: postgresql-contrib-9.6, sysstat
Description: The World's Most Advanced Open Source Relational Database
 PostgreSQL, also known as Postgres, is a free and open-source relational
 database management system (RDBMS) emphasizing extensibility and SQL
 compliance. It features transactions with Atomicity, Consistency, Isolation,
 Durability (ACID) properties, automatically updatable views, materialized
 views, triggers, foreign keys, and stored procedures. It is designed to handle
 a range of workloads, from single machines to data warehouses or Web services
 with many concurrent users.
 .
 This package provides the database server for PostgreSQL 9.6.
XB-Postgresql-Catversion: ${postgresql:Catversion}

Package: postgresql-9.6-dbg
Section: debug
Priority: optional
Architecture: any
Depends: postgresql-9.6 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for postgresql-9.6
 This package provides detached debugging symbols for PostgreSQL 9.6.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-client-9.6
Architecture: any
Multi-Arch: foreign
Depends:
 libpq5 (>= ${source:Upstream-Version}),
 postgresql-client-common (>= 142~),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: postgresql-9.6, postgresql-doc-9.6
Provides: postgresql-client
Conflicts: postgresql-server-dev-9.6 (<< 9.6.16-2~)
Replaces: postgresql-server-dev-9.6
Description: front-end programs for PostgreSQL 9.6
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 9.6. If you install
 PostgreSQL 9.6 on a standalone machine, you need the server package
 postgresql-9.6, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-9.6
Architecture: any
Section: libdevel
Depends:
 libpq-dev (>= 9.6~~),
 postgresql-client-9.6 (= ${binary:Version}),
 postgresql-common (>= 142~),
 ${misc:Depends},
 ${shlibs:Depends}
Description: development files for PostgreSQL 9.6 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-9.6
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: postgresql-common (<< 158~)
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 9.6. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib-9.6
Architecture: any
Depends:
 postgresql-9.6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: libdbd-pg-perl
Description: additional facilities for PostgreSQL
 The PostgreSQL contrib package provides several additional features
 for the PostgreSQL database. This version is built to work with the
 server package postgresql-9.6.  contrib often serves as a testbed for
 features before they are adopted into PostgreSQL proper:
 .
  adminpack      - File and log manipulation routines, used by pgAdmin
  btree_gist     - B-Tree indexing using GiST (Generalised Search Tree)
  chkpass        - An auto-encrypted password datatype
  cube           - Multidimensional-cube datatype (GiST indexing example)
  dblink         - Functions to return results from a remote database
  earthdistance  - Operator for computing the distance (in miles) between
                   two points on the earth's surface
  fuzzystrmatch  - Levenshtein, metaphone, and soundex fuzzy string matching
  hstore         - Store (key, value) pairs
  intagg         - Integer aggregator/enumerator
  _int           - Index support for arrays of int4, using GiST (benchmark
                   needs the libdbd-pg-perl package)
  isn            - type extensions for ISBN, ISSN, ISMN, EAN13 product numbers
  lo             - Large Object maintenance
  ltree          - Tree-like data structures
  oid2name       - Maps OIDs to table names
  pageinspect    - Inspection of database pages
  passwordcheck  - Simple password strength checker
  pg_buffercache - Real time queries on the shared buffer cache
  pg_freespacemap- Displays the contents of the free space map (FSM)
  pg_trgm        - Determine the similarity of text based on trigram matching
  pg_standby     - Create a warm stand-by server
  pgbench        - TPC-B like benchmark
  pgcrypto       - Cryptographic functions
  pgrowlocks     - A function to return row locking information
  pgstattuple    - Returns the percentage of dead tuples in a table; this
                   indicates whether a vacuum is required.
  postgresql_fdw - foreign data wrapper for PostgreSQL
  seg            - Confidence-interval datatype (GiST indexing example)
  sepgsql        - mandatory access control (MAC) based on SELinux
  spi            - PostgreSQL Server Programming Interface; 4 examples of
                   its use:
                   autoinc    - A function for implementing AUTOINCREMENT/
                                IDENTITY
                   insert_username - function for inserting user names
                   moddatetime - Update modification timestamps
                   refint     - Functions for implementing referential
                                integrity (foreign keys).  Note that this is
                                now superseded by built-in referential
                                integrity.
                   timetravel - Re-implements in user code the time travel
                                feature that was removed in 6.3.
  tablefunc      - examples of functions returning tables
  uuid-ossp      - UUID generation functions
  vacuumlo       - Remove orphaned large objects
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-9.6
Architecture: any
Depends:
 perl,
 postgresql-9.6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: postgresql-plperl
Description: PL/Perl procedural language for PostgreSQL 9.6
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 9.6 in Perl.  You need this package if you have any
 PostgreSQL 9.6 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

#py2#Package: postgresql-plpython-9.6
#py2#Build-Profiles: <!nopython>
#py2#Architecture: any
#py2#Depends:
#py2# postgresql-9.6 (= ${binary:Version}),
#py2# ${misc:Depends},
#py2# ${shlibs:Depends}
#py2#Provides: postgresql-plpython
#py2#Description: PL/Python procedural language for PostgreSQL 9.6
#py2# PL/Python enables an SQL developer to write procedural language functions
#py2# for PostgreSQL 9.6 in Python.  You need this package if you have any
#py2# PostgreSQL 9.6 functions that use the languages plpython or plpythonu.
#py2# .
#py2# PostgreSQL is an object-relational SQL database management system.

Package: postgresql-pltcl-9.6
Architecture: any
Depends:
 postgresql-9.6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: postgresql-pltcl
Description: PL/Tcl procedural language for PostgreSQL 9.6
 PL/Tcl enables an SQL developer to write procedural language functions

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

MAJOR_VER := 9.6
#CASSERT_FLAGS := --enable-cassert
#py2#HAVE_PYTHON2=yes

CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Facilitate hierarchical profile generation on amd64 (#730134)
ifeq ($(DEB_HOST_ARCH),amd64)
CFLAGS+= -fno-omit-frame-pointer
endif

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

# PostgreSQL 9.5+ does not have native spinlock support on this platform
ifneq ($(findstring $(DEB_HOST_ARCH), alpha),)
SPINLOCK_FLAGS = --disable-spinlocks
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD_FLAGS = --with-systemd
SELINUX_FLAGS= --with-selinux
endif

COMMON_CONFIGURE_FLAGS= \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --enable-nls \
  --enable-integer-datetimes \
  --enable-thread-safety \
  --enable-tap-tests \
  --enable-debug \
  --enable-dtrace \
  $(CASSERT_FLAGS) \
  --disable-rpath \
  --with-uuid=e2fs \
  --with-gnu-ld \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  $(SYSTEMD_FLAGS) \
  $(SELINUX_FLAGS) \
  $(SPINLOCK_FLAGS) \
  MKDIR_P='/bin/mkdir -p' \
  TAR='/bin/tar' \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)' \
  DPKG_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }') \
  DPKG_VENDOR=$(shell dpkg-vendor --query vendor)

# allow missing krb5 and ldap during bootstrapping
ifeq ($(DEB_STAGE),stage1)
BOOTSTRAP_FLAGS=
else
BOOTSTRAP_FLAGS= --with-gssapi --with-ldap \
		 --with-includes=/usr/include/mit-krb5 \
		 --with-libs=/usr/lib/mit-krb5 \
		 --with-libs=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
endif

%:
	dh $@

override_dh_auto_configure-indep: stamp/configure-build
override_dh_auto_configure-arch: stamp/configure-build
ifeq ($(HAVE_PYTHON2),yes)
override_dh_auto_configure-arch: stamp/configure-build-py2
endif

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
PYTHON_FLAGS = --with-python PYTHON=/usr/bin/python3
endif

stamp/configure-build:
	mkdir -p stamp
	dh_auto_configure --builddirectory=build -- \
           --with-tcl \
           --with-perl \
           --with-pam \
           --with-openssl \
           --with-libxml \
           --with-libxslt \
           $(PYTHON_FLAGS) \
           $(COMMON_CONFIGURE_FLAGS) \
           $(BOOTSTRAP_FLAGS)
	# remove pre-built documentation
	rm -fv doc/src/sgml/*-stamp
	touch "$@"

stamp/configure-build-py2:
	mkdir -p stamp
	dh_auto_configure --builddirectory=build-py2 -- \
           --with-python \
           PYTHON=/usr/bin/python \
           $(COMMON_CONFIGURE_FLAGS)
	touch "$@"

override_dh_auto_build-indep:
	$(MAKE) -C build/doc all # build man + html

override_dh_auto_build-arch: stamp/build

stamp/build: stamp/configure-build
	$(MAKE) -C build/doc man # build man only
	$(MAKE) -C build/src all
	$(MAKE) -C build/config all
	$(MAKE) -C build/contrib all
	# build tutorial stuff
	$(MAKE) -C build/src/tutorial NO_PGXS=1
	touch "$@"

ifeq ($(HAVE_PYTHON2),yes)
override_dh_auto_build-arch: stamp/build-py2

stamp/build-py2: stamp/configure-build-py2
	MAKELEVEL=0 $(MAKE) -C build-py2/src/pl/plpython
	$(MAKE) -C build-py2/contrib/hstore_plpython
	touch "$@"
endif

override_dh_auto_install-arch:
	$(MAKE) -C build/doc/src/sgml install-man DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/src install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/config install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/contrib install DESTDIR=$(CURDIR)/debian/tmp
ifeq ($(HAVE_PYTHON2),yes)
	$(MAKE) -C build-py2/src/pl/plpython install DESTDIR=$(CURDIR)/debian/postgresql-plpython-$(MAJOR_VER)
	$(MAKE) -C build-py2/contrib/hstore_plpython install DESTDIR=$(CURDIR)/debian/postgresql-plpython-$(MAJOR_VER)
	# remove files duplicated from postgresql and -server-dev
	rm -rf debian/postgresql-plpython-$(MAJOR_VER)/usr/include
	rm -rf debian/postgresql-plpython-$(MAJOR_VER)/usr/share/locale
	# remove files from the "wrong" python package
	rm -v debian/postgresql-plpython-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/*plpython3*
endif
	# move SPI examples into contrib package (they wouldn't be in the doc package in an -A build)
	mkdir -p debian/postgresql-contrib-$(MAJOR_VER)/usr/share/doc/postgresql-contrib-$(MAJOR_VER)
	mv debian/tmp/usr/share/doc/postgresql-doc-$(MAJOR_VER)/extension debian/postgresql-contrib-$(MAJOR_VER)/usr/share/doc/postgresql-contrib-$(MAJOR_VER)/examples

override_dh_auto_install-indep:
	$(MAKE) -C build/doc install DESTDIR=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build* stamp

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c
	# compress manpages (excluding debian/tmp/)
	gzip -9n $(CURDIR)/debian/*-*/usr/share/postgresql/*/man/man*/*.[137]

override_dh_install-arch:
	dh_install -a

	# link README.Debian.gz to postgresql-common
	mkdir -p debian/postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	ln -s ../postgresql-common/README.Debian.gz debian/postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/README.Debian.gz

	# remove actual build path from Makefile.global for reproducibility
	sed -i -e "s!^abs_top_builddir.*!abs_top_builddir = /build/postgresql-$(MAJOR_VER)/build!" \
	       -e "s!^abs_top_srcdir.*!abs_top_srcdir = /build/postgresql-$(MAJOR_VER)/build/..!" \
	       -e 's!-f\(debug\|file\)-prefix-map=[^ ]* !!g' \
	       debian/postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/Makefile.global

	# these are shipped in the pl packages
	bash -c "rm -vf debian/postgresql-contrib-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/{plpgsql,plperl,plpython,pltcl,*_pl}*"

	# record catversion in a file
	echo $(CATVERSION) > debian/postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/catalog_version

override_dh_install-indep:
	dh_install -i

	if [ -d debian/postgresql-doc-$(MAJOR_VER) ]; then set -e; \
		install -d debian/postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
		install src/tutorial/*.c src/tutorial/*.source src/tutorial/Makefile src/tutorial/README debian/postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	fi

override_dh_auto_test-indep:
	# nothing to do

override_dh_auto_test-arch:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# when tests fail, print newest log files
	# initdb doesn't like LANG and LC_ALL to contradict, unset LANG and LC_CTYPE here
	# temp-install wants to be invoked from a top-level make, unset MAKELEVEL here
	# hurd doesn't implement semaphores shared between processes yet; succeed anyway so they at least have libpq5
	# plperl currently fails on kfreebsd-*
	unset LANG LC_CTYPE MAKELEVEL; \
	if ! make -C build check-world \
	  EXTRA_REGRESS_OPTS='--port=$(shell perl -le 'print 1024 + int(rand(64000))')' \
	  PROVE_FLAGS="--verbose"; \
	then \
	    for l in `find build -name 'regression.*' -o -name '*.log' -o -name '*_log_*' | perl -we 'print map { "$$_\n"; } sort { (stat $$a)[9] <=> (stat $$b)[9] } map { chomp; $$_; } <>' | tail -n 10`; do \
		echo "******** $$l ********"; \
		cat $$l; \
	    done; \
	    case $(DEB_HOST_ARCH) in \
	        hurd-*|kfreebsd-*) exit 0 ;; \
	        *) exit 1 ;; \
	    esac; \
	fi
endif

override_dh_strip:
	dh_strip --dbg-package=postgresql-$(MAJOR_VER)-dbg

override_dh_installdeb-arch:
	dh_installdeb
	# record catversion in preinst
	sed -i -e 's/@CATVERSION@/$(CATVERSION)/' debian/postgresql-$(MAJOR_VER)/DEBIAN/preinst

=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/ \
https://ftp.postgresql.org/pub/source/v(9.6.*)/postgresql-(9.6.*).tar.bz2
